Bio::Variation::AAReverseMutate(3)

NAME
Bio::Variation::AAReverseMutate - point mutation and codon
  information from single amino acid changes

SYNOPSIS
    $aamut = Bio::Variation::AAReverseMutate->new
                 (-aa_ori => 'F',
                  -aa_mut => 'S',
                  -codon_ori => 'ttc', # optional
                  -codon_table => '3'  # defaults to 1
                  );

   @points = $aamut->each_Variant;

   if (scalar @points > 0 ) {
       foreach $rnachange ( @points ) {
           # $rnachange is a Bio::Variation::RNAChange object
           print " ", $rnachange->allele_ori->seq, ">",
           $rnachange->allele_mut->seq, " in ",
           $rnachange->codon_ori, ">", $rnachange->codon_mut,
           " at position ", $rnachange->codon_pos, "\n";
       }
   } else  {
       print "No point mutations possible\n",
   }

DESCRIPTION
Bio::Variation::AAReverseMutate objects take in reference and mutated amino acid information and deduces potential point mutations at RNA level leading to this change. The choice can be further limited by letting the object know what is the the codon in the reference sequence. The results are returned as Bio::Variation::RNAChange objects.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing lists Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Heikki Lehvaslaiho
Email: heikki-at-bioperl-dot-org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  aa_ori
 Title   : aa_ori
 Usage   : $obj->aa_ori();
 Function:

            Sets and returns original aa sequence.  If value is not
            set, returns false.

            Amino acid sequences are stored in upper case characters,
            others in lower case.

 Example :
 Returns : string
 Args    : single character amino acid code

  aa_mut
 Title   : aa_mut
 Usage   : $obj->aa_mut();
 Function:

            Sets and returns the mutated allele sequence.  If value is not
            set, returns false.

 Example :
 Returns : string
 Args    : single character amino acid code

  codon_ori
 Title   : codon_ori
 Usage   : $obj->codon_ori();
 Function:

            Sets and returns codon_ori triplet.  If value is not set,
            returns false.  The string has to be three characters
            long. The character content is not checked.

 Example :
 Returns : string
 Args    : string

  codon_table
 Title   : codon_table
 Usage   : $obj->codon_table();
 Function:

            Sets and returns the codon table id of the RNA
            If value is not set, returns 1, 'universal' code, as the default.

 Example :
 Returns : integer
 Args    : none if get, the new value if set

  each_Variant
 Title   : each_Variant
 Usage   : $obj->each_Variant();
 Function:

            Returns a list of Variants.

 Example :
 Returns : list of Variants
 Args    : none